set ROMNAME=pocketworm

del %ROMNAME%.o
del header.o
del %ROMNAME%
del %ROMNAME%.bin

cd data
..\..\tools\ascii2sjis "Pocket Worm   by Sebastian Mihai" title.txt
..\..\tools\tim2mcicon icon.tim psicon.bin
..\..\tools\bmp2ps1b b icon.bmp
cd ..

..\bin\arm-none-eabi-as header.s -o header.o
..\bin\arm-none-eabi-gcc -I..\include -c %ROMNAME%.c 
..\bin\arm-none-eabi-ld -o %ROMNAME% header.o %ROMNAME%.o -T..\ldscripts\ldscript
..\bin\arm-none-eabi-objcopy -O binary %ROMNAME% %ROMNAME%.bin
..\tools\mcpad %ROMNAME%.bin

@REM not sure if this is needed, since the emulator can load .bin roms
@REM tools\bin2mcs BESNESP00000GAMETEST %ROMNAME%.bin %ROMNAME%.mcs

pause

@del %ROMNAME%.o
@del header.o
@del %ROMNAME%
